f2m2/apidocs 问题修复 & 功能扩展

解决BUG、新增功能、兼容多环境部署,快速响应你的开发需求

邮箱:yvsm@zunyunkeji.com | QQ:316430983 | 微信:yvsm316

f2m2/apidocs

最新稳定版本:2.0.2

Composer 安装命令:

composer require f2m2/apidocs

包简介

Laravel API Documentation Generator

README 文档

README

This Laravel package provides an API Documentation generator based upon your Routes and Controller Method DocBlock comments.

Installation

Laravel 5.0

Begin by installing this package through Composer. Edit your project's composer.json file to require f2m2/apidocs.

"require-dev": {
    "f2m2/apidocs": "dev-master"
}

Next, update Composer from the Terminal:

composer update

Once the packaage has installed, the final step is to add the service provider. Open config/app.php, and add a new item to the providers array.

'F2m2\Apidocs\ApidocsServiceProvider',

Run the artisan command from the Terminal to see the new apidocs command.

php artisan apidocs:generate

Create a copy of the API Docs Config by running this artisan command:

php artisan vendor:publish

Laravel 4.2

See installation: https://github.com/f2m2/apidocs/tree/1.0.0

Notes

Route Prefix

Create a prefix for your routes with an API Version. i.e. 'api/v1

Route::group(['prefix' => 'api/v1'], function(){
     // ...
});

######## Laravel 5.4 defaults to api prefix (Route::prefix('api')). If your routes/api.php looks like this...

Route::group(['prefix' => 'v1'], function(){
     // ...
});

... then the route for the generate command would be api/v1 Otherwise it will be just api

DocBlock Example

Below is a docBlock example.

/**
* Display the specified resource.
* GET /user/{id}
*
* @param  int  $id  The id of a User
* @return Response
*/
public function show($id)
{
    // Display User
}

License

See LICENSE file.

统计信息

  • 总下载量: 36.48k
  • 月度下载量: 0
  • 日度下载量: 0
  • 收藏数: 91
  • 点击次数: 2
  • 依赖项目数: 0
  • 推荐数: 0

GitHub 信息

  • Stars: 90
  • Watchers: 3
  • Forks: 29
  • 开发语言: PHP

其他信息

  • 授权协议: MIT
  • 更新时间: 2014-11-08